Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
gakho007

đổi font cad

Các bài được khuyến nghị

sau khi down đủ các font, mình lại gặp rắc rối.

Các bạn cho mình hỏi" làm sao đổi font cho text hàng loạt ( hay chỉ đổi dc từng text bằng double-click vào text đó)ảm ơnxin cam

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

sau khi down đủ các font, mình lại gặp rắc rối.

Các bạn cho mình hỏi" làm sao đổi font cho text hàng loạt ( hay chỉ đổi dc từng text bằng double-click vào text đó)ảm ơnxin cam

Dùng lisp thì đổi hàng loạt rất đơn giản

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn có thể hướng dẫn rõ hơn được ko ạ, cám ơn bạn.

Lisp thì không thể nói vài câu là có thể thực hiện được. Trước mắt, bạn xem text style của text muốn thay đổi có font là gì rồi đổi font theo ý muốn. Nếu là dtext chuẩn thì có thể chỉ cần dùng lệnh rea là xong. Bạn có thể dùng lệnh ma để copy định dạng của 1 text ưng ý cho tất cả text khác.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn có thể hướng dẫn rõ hơn được ko ạ, cám ơn bạn.

Bạn dùng cái này xem có được không?

;Doan Van Ha - CADViet.com - Ngay 27-02-2012
;Muc dich: Thay Font cua cac Text duoc chon bang Font cua Text chuan.
(defun C:HA (/ sty i  cd lst)
(command "undo" "begin")
(setq sty (cdr (assoc 7 (entget (car (entsel "\nChon Text de lay Font mau: "))))))
(princ "\nChon cac Text de thay doi Font: ")
(if (setq ss (ssget '((0 . "TEXT"))))
 (progn
  (setq i 0)
  (setq cd (sslength ss))
  (repeat cd
(setq lst (entget (ssname ss i)))
(command "_erase" (ssname ss i) "")
(entmake (list '(0 . "TEXT")
 	(cons 8 (cdr (assoc 8 lst)))
 	(cons 10 (cdr (assoc 10 lst)))
 	(cons 40 (cdr (assoc 40 lst)))
 	(cons 1 (cdr (assoc 1 lst)))
 	(cons 50 (cdr (assoc 50 lst)))
 	(cons 41 (cdr (assoc 41 lst)))
 	(cons 51 (cdr (assoc 51 lst)))
 	(cons 71 (cdr (assoc 71 lst)))
 	(cons 72 (cdr (assoc 72 lst)))
 	(cons 73 (cdr (assoc 73 lst)))
 	(cons 7 sty)))
(setq i (1+ i)))))
(command "undo" "end")
(princ))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Câu hỏi của bạn và cái mà bạn tìm ra phương án giải quyết thực chẳng ăn nhập với nhau. Lần sau nếu bạn có gì cần hỏi xin suy nghĩ thêm 1 chút, đừng làm nản lòng những người nhiệt tình giúp bạn

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×